Bug 76505

Summary: [chromium] move Tools.gyp, switch build-webkit --chromium to All.gyp
Product: WebKit Reporter: Dirk Pranke <dpranke>
Component: New BugsAssignee: Dirk Pranke <dpranke>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, eric, noel.gordon, tony
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 68463    
Attachments:
Description Flags
Patch
none
move Tools/Tools.gyp to Tools/DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp, also change buildChromium() tony: review+

Description Dirk Pranke 2012-01-17 18:11:04 PST
[chromium] move Tools.gyp, switch build-webkit --chromium to All.gyp
Comment 1 Dirk Pranke 2012-01-17 18:15:45 PST
Created attachment 122854 [details]
Patch
Comment 2 Dirk Pranke 2012-01-17 18:49:15 PST
Tony, can you take a look at this?
Comment 3 Tony Chang 2012-01-18 12:04:45 PST
I thought we couldn't use Tools/Tools.gyp because that's not checked out by the svn bots.  DEPS only pulls in WebKit/Tools/DumpRenderTree and WebKit/Tools/Scripts.  Can we make it WebKit/Tools/DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp?
Comment 4 Dirk Pranke 2012-01-18 13:09:00 PST
Oh, yeah, you're right. Sigh, leave things for a month and you forget everything; I was thinking it was just because of the gyp issue we found (and fixed) w/ relative paths.

I will switch to a DumpRenderTree.gyp as you suggest.
Comment 5 Dirk Pranke 2012-01-18 14:13:57 PST
Created attachment 122992 [details]
move Tools/Tools.gyp to Tools/DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp, also change buildChromium()
Comment 6 Tony Chang 2012-01-18 14:20:34 PST
Comment on attachment 122992 [details]
move Tools/Tools.gyp to Tools/DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp, also change buildChromium()

View in context: https://bugs.webkit.org/attachment.cgi?id=122992&action=review

Please watch the bots when landing.

> Tools/DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:37
> +     # FIXME: Remove this conditional check once chromium's
> +    # build/common.gypi is setting this flag to 0 by default. See

Weird indent.
Comment 7 Dirk Pranke 2012-01-18 15:03:14 PST
Committed r105330: <http://trac.webkit.org/changeset/105330>
Comment 8 noel gordon 2012-01-22 17:49:42 PST
From http://code.google.com/p/chromium/wiki/MacBuildInstructions, "To build just DumpRenderTree"

  cd ~/chromium/src
  xcodebuild -project third_party/WebKit/Source/WebKit/chromium/WebKit.xcodeproj -configuration Debug -target DumpRenderTree

No longer works.
Comment 9 noel gordon 2012-01-22 18:06:16 PST
% xcodebuild -project third_party/WebKit/Source/WebKit/chromium/All.xcodeproj -list

    Targets:
        all_webkit (Active)

    Build Configurations:
        Debug (Active)
        Release

workaround: build the "all_webkit" target (it's the default so it is optional as an argument), and that seems to produce DumpRenderTree.app.

   % xcodebuild -project third_party/WebKit/Source/WebKit/chromium/All.xcodeproj -configuration {Release|Debug} [-target all_webkit]
Comment 10 Tony Chang 2012-01-23 09:36:00 PST
(In reply to comment #8)
> From http://code.google.com/p/chromium/wiki/MacBuildInstructions, "To build just DumpRenderTree"
> 
>   cd ~/chromium/src
>   xcodebuild -project third_party/WebKit/Source/WebKit/chromium/WebKit.xcodeproj -configuration Debug -target DumpRenderTree
> 
> No longer works.

xcodebuild -project third_party/WebKit/Tools/DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.xcodeproj -configuration Debug -target DumpRenderTree

should work.  I've updated the wiki.  If you find that that doesn't work or something works better, feel free to update the wiki.
Comment 11 Dirk Pranke 2012-01-23 10:17:59 PST
Yup, either All.xcodeproj or DumpRenderTree.xcodeproj should work. The whole point of these changes is to get that target out of WebKit.xcodeproj :).

I missed updating the docs, though. Thanks for catching this and thanks Tony for updating them.
Comment 12 noel gordon 2012-01-23 18:02:07 PST
>
> xcodebuild -project third_party/WebKit/Tools/DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.xcodeproj -configuration Debug -target DumpRenderTree
> 
> should work.  I've updated the wiki.  If you find that that doesn't work or something works better, feel free to update the wiki.
>

I clean built chrome-mac, then tried that command - it rebuilt all the .idl files, that makes the initial DumpRenderTree compile/build time is very long (comparable to building a clean chrome).